Bug 193933 - Review Request: freepops - free webmails to pop3 daemon
Review Request: freepops - free webmails to pop3 daemon
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 20:34 EDT by buildsys
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description buildsys 2006-06-02 20:34:44 EDT
Spec URL: http://rpm.landshark.net/LSN-i386/RPMS.lsn-fc5-extras/SRPMS/freepops.spec
SRPM URL:http://rpm.landshark.net/LSN-i386/RPMS.lsn-fc5-extras/SRPMS/freepops-0.0.98-3.fc5.lsn.src.rpm
Description: FreePOPs is a daemon that acts as a local pop3 server, translating
local pop3 requests to remote http requests to supported webmails.

Notes:
- This is my first Fedora Extras submission, and needs to be sponsored
Comment 1 Hans de Goede 2006-06-08 05:29:34 EDT
Hi,

In order to get sponsored you must first understand that things are currently
organised in FE in such a way that once you are sponsored you get full CVS
access to all packages. Thus having one good package ready for review usually
isn't enough to get you sponsored.

There are 2 ways to proceed from here for us (the FE community) to get to learn
you better:
1) You review a couple of packages from others see bug 163776 for a list of
   Review Requests that need a Reviewer, don't worry about not being competent
   enough todo a review, just add me to the CC-list and I'll watch over your 
   back.
2) Create some more packages and link to them from the BZ ticket.

Or (probably the best) a combination of these 2. What also helps is activity in
other Fedora projects such as translations etc.

What would also help is filling in a real name and using a somewhat more real
eamil buildsys@ doesn't inspire much confidence (and cannot be googled to see if
you have contributed to other OSS projects which is also always a pre).
Comment 2 Brian Pepple 2006-06-08 14:30:51 EDT
Here's a couple of quick items that need to be addressed:

1. Don't re-define %dist in your spec.
2. Inconsistant use of $RPM_BUILD_ROOT & %{buildroot}.  Pick one, and only use
that in your spec.
3. Why are your appending '.lsn' to the release?  If there is no good reason,
drop it.
4. Why are you defining the BuildArch?  If the package doesn't build on other
architectures, you should use the ExcludeArch.  Once the package is approved,
you will need to have a bug filed in bugzilla for each architecture, describing
the reason that the package does not compile/build/work on that architecture.
The bug number should then be placed in a comment, next to the corresponding
ExcludeArch line.  Until then, you will need to place the information in the
comments.
5. Drop both of the '%{__rm}' lines from the %prep section, they are unnecessary.

In the future, I would suggest using the Fedora spec template, because most of
these issues are addressed there.

As Hans pointed out in Comment #2, you must demonstrate an understanding of
Fedora Extras Packaging Guidelines, before you can be sponsored.
Comment 3 Hans de Goede 2006-06-14 03:01:57 EDT
Trying to redo some of the Bugtriaging I had done which got lost because of the
BZ crash.

If I remember correctly, then the review submitter was interested in submitting
packages not maintaing them as such he was advised to submit packages to f-e-l
where an interested maintainer can then pick them up, and the bug was closed as
wontfix.

Closing as won't fix, please reopen if I remember incorrectly.

Note You need to log in before you can comment on or make changes to this bug.